]> CyberLeo.Net >> Repos - FreeBSD/releng/10.0.git/blob - contrib/ntp/arlib/Makefile.in
- Copy stable/10 (r259064) to releng/10.0 as part of the
[FreeBSD/releng/10.0.git] / contrib / ntp / arlib / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkglibexecdir = $(libexecdir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 noinst_PROGRAMS = example$(EXEEXT)
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
40         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
41         $(top_srcdir)/configure COPYING INSTALL depcomp install-sh \
42         missing
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno config.status.lineno
49 mkinstalldirs = $(install_sh) -d
50 CONFIG_CLEAN_FILES =
51 CONFIG_CLEAN_VPATH_FILES =
52 LIBRARIES = $(noinst_LIBRARIES)
53 AR = @AR@
54 ARFLAGS = @ARFLAGS@
55 libares_a_AR = $(AR) $(ARFLAGS)
56 libares_a_LIBADD =
57 am_libares_a_OBJECTS = arlib.$(OBJEXT)
58 libares_a_OBJECTS = $(am_libares_a_OBJECTS)
59 PROGRAMS = $(noinst_PROGRAMS)
60 am_example_OBJECTS = sample.$(OBJEXT)
61 example_OBJECTS = $(am_example_OBJECTS)
62 example_DEPENDENCIES = libares.a
63 DEFAULT_INCLUDES = -I.@am__isrc@
64 depcomp = $(SHELL) $(top_srcdir)/depcomp
65 am__depfiles_maybe = depfiles
66 am__mv = mv -f
67 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
68         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
69 CCLD = $(CC)
70 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
71 SOURCES = $(libares_a_SOURCES) $(example_SOURCES)
72 DIST_SOURCES = $(libares_a_SOURCES) $(example_SOURCES)
73 HEADERS = $(noinst_HEADERS)
74 ETAGS = etags
75 CTAGS = ctags
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 distdir = $(PACKAGE)-$(VERSION)
78 top_distdir = $(distdir)
79 am__remove_distdir = \
80   { test ! -d "$(distdir)" \
81     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
82          && rm -fr "$(distdir)"; }; }
83 DIST_ARCHIVES = $(distdir).tar.gz
84 GZIP_ENV = --best
85 distuninstallcheck_listfiles = find . -type f -print
86 distcleancheck_listfiles = find . -type f -print
87 ACLOCAL = @ACLOCAL@
88 AMTAR = @AMTAR@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 CC = @CC@
94 CCDEPMODE = @CCDEPMODE@
95 CFLAGS = @CFLAGS@
96 CPPFLAGS = @CPPFLAGS@
97 CYGPATH_W = @CYGPATH_W@
98 DEFS = @DEFS@
99 DEPDIR = @DEPDIR@
100 ECHO_C = @ECHO_C@
101 ECHO_N = @ECHO_N@
102 ECHO_T = @ECHO_T@
103 EXEEXT = @EXEEXT@
104 INSTALL = @INSTALL@
105 INSTALL_DATA = @INSTALL_DATA@
106 INSTALL_PROGRAM = @INSTALL_PROGRAM@
107 INSTALL_SCRIPT = @INSTALL_SCRIPT@
108 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
109 LDFLAGS = @LDFLAGS@
110 LIBOBJS = @LIBOBJS@
111 LIBS = @LIBS@
112 LTLIBOBJS = @LTLIBOBJS@
113 MAKEINFO = @MAKEINFO@
114 MKDIR_P = @MKDIR_P@
115 OBJEXT = @OBJEXT@
116 PACKAGE = @PACKAGE@
117 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
118 PACKAGE_NAME = @PACKAGE_NAME@
119 PACKAGE_STRING = @PACKAGE_STRING@
120 PACKAGE_TARNAME = @PACKAGE_TARNAME@
121 PACKAGE_URL = @PACKAGE_URL@
122 PACKAGE_VERSION = @PACKAGE_VERSION@
123 PATH_SEPARATOR = @PATH_SEPARATOR@
124 RANLIB = @RANLIB@
125 SET_MAKE = @SET_MAKE@
126 SHELL = @SHELL@
127 STRIP = @STRIP@
128 VERSION = @VERSION@
129 abs_builddir = @abs_builddir@
130 abs_srcdir = @abs_srcdir@
131 abs_top_builddir = @abs_top_builddir@
132 abs_top_srcdir = @abs_top_srcdir@
133 ac_ct_CC = @ac_ct_CC@
134 am__include = @am__include@
135 am__leading_dot = @am__leading_dot@
136 am__quote = @am__quote@
137 am__tar = @am__tar@
138 am__untar = @am__untar@
139 bindir = @bindir@
140 build_alias = @build_alias@
141 builddir = @builddir@
142 datadir = @datadir@
143 datarootdir = @datarootdir@
144 docdir = @docdir@
145 dvidir = @dvidir@
146 exec_prefix = @exec_prefix@
147 host_alias = @host_alias@
148 htmldir = @htmldir@
149 includedir = @includedir@
150 infodir = @infodir@
151 install_sh = @install_sh@
152 libdir = @libdir@
153 libexecdir = @libexecdir@
154 localedir = @localedir@
155 localstatedir = @localstatedir@
156 mandir = @mandir@
157 mkdir_p = @mkdir_p@
158 oldincludedir = @oldincludedir@
159 pdfdir = @pdfdir@
160 prefix = @prefix@
161 program_transform_name = @program_transform_name@
162 psdir = @psdir@
163 sbindir = @sbindir@
164 sharedstatedir = @sharedstatedir@
165 srcdir = @srcdir@
166 sysconfdir = @sysconfdir@
167 target_alias = @target_alias@
168 top_build_prefix = @top_build_prefix@
169 top_builddir = @top_builddir@
170 top_srcdir = @top_srcdir@
171 AUTOMAKE_OPTIONS = foreign # ansi2knr
172
173 #lib_LIBRARIES = libares.a
174 noinst_LIBRARIES = libares.a
175 libares_a_SOURCES = arlib.c arplib.h
176 #include_HEADERS = arlib.h
177 noinst_HEADERS = arlib.h
178 example_SOURCES = sample.c
179 example_LDADD = libares.a
180 #man_MANS = arlib.3
181 #EXTRA_DIST = $(man_MANS) UNSHAR.HDR
182 noinst_MANS = arlib.3
183 EXTRA_DIST = $(noinst_MANS) UNSHAR.HDR
184 all: all-am
185
186 .SUFFIXES:
187 .SUFFIXES: .c .o .obj
188 am--refresh:
189         @:
190 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
191         @for dep in $?; do \
192           case '$(am__configure_deps)' in \
193             *$$dep*) \
194               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
195               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
196                 && exit 0; \
197               exit 1;; \
198           esac; \
199         done; \
200         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
201         $(am__cd) $(top_srcdir) && \
202           $(AUTOMAKE) --foreign Makefile
203 .PRECIOUS: Makefile
204 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
205         @case '$?' in \
206           *config.status*) \
207             echo ' $(SHELL) ./config.status'; \
208             $(SHELL) ./config.status;; \
209           *) \
210             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
211             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
212         esac;
213
214 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
215         $(SHELL) ./config.status --recheck
216
217 $(top_srcdir)/configure:  $(am__configure_deps)
218         $(am__cd) $(srcdir) && $(AUTOCONF)
219 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
220         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
221 $(am__aclocal_m4_deps):
222
223 clean-noinstLIBRARIES:
224         -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
225 libares.a: $(libares_a_OBJECTS) $(libares_a_DEPENDENCIES) 
226         -rm -f libares.a
227         $(libares_a_AR) libares.a $(libares_a_OBJECTS) $(libares_a_LIBADD)
228         $(RANLIB) libares.a
229
230 clean-noinstPROGRAMS:
231         -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
232 example$(EXEEXT): $(example_OBJECTS) $(example_DEPENDENCIES) 
233         @rm -f example$(EXEEXT)
234         $(LINK) $(example_OBJECTS) $(example_LDADD) $(LIBS)
235
236 mostlyclean-compile:
237         -rm -f *.$(OBJEXT)
238
239 distclean-compile:
240         -rm -f *.tab.c
241
242 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arlib.Po@am__quote@
243 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sample.Po@am__quote@
244
245 .c.o:
246 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
247 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
248 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
249 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
250 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
251
252 .c.obj:
253 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
254 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
255 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
256 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
257 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
258
259 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
260         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
261         unique=`for i in $$list; do \
262             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263           done | \
264           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
265               END { if (nonempty) { for (i in files) print i; }; }'`; \
266         mkid -fID $$unique
267 tags: TAGS
268
269 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
270                 $(TAGS_FILES) $(LISP)
271         set x; \
272         here=`pwd`; \
273         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
274         unique=`for i in $$list; do \
275             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
276           done | \
277           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
278               END { if (nonempty) { for (i in files) print i; }; }'`; \
279         shift; \
280         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
281           test -n "$$unique" || unique=$$empty_fix; \
282           if test $$# -gt 0; then \
283             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
284               "$$@" $$unique; \
285           else \
286             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
287               $$unique; \
288           fi; \
289         fi
290 ctags: CTAGS
291 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
292                 $(TAGS_FILES) $(LISP)
293         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
294         unique=`for i in $$list; do \
295             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296           done | \
297           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
298               END { if (nonempty) { for (i in files) print i; }; }'`; \
299         test -z "$(CTAGS_ARGS)$$unique" \
300           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
301              $$unique
302
303 GTAGS:
304         here=`$(am__cd) $(top_builddir) && pwd` \
305           && $(am__cd) $(top_srcdir) \
306           && gtags -i $(GTAGS_ARGS) "$$here"
307
308 distclean-tags:
309         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
310
311 distdir: $(DISTFILES)
312         $(am__remove_distdir)
313         test -d "$(distdir)" || mkdir "$(distdir)"
314         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
315         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
316         list='$(DISTFILES)'; \
317           dist_files=`for file in $$list; do echo $$file; done | \
318           sed -e "s|^$$srcdirstrip/||;t" \
319               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
320         case $$dist_files in \
321           */*) $(MKDIR_P) `echo "$$dist_files" | \
322                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
323                            sort -u` ;; \
324         esac; \
325         for file in $$dist_files; do \
326           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
327           if test -d $$d/$$file; then \
328             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
329             if test -d "$(distdir)/$$file"; then \
330               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
331             fi; \
332             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
333               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
334               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
335             fi; \
336             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
337           else \
338             test -f "$(distdir)/$$file" \
339             || cp -p $$d/$$file "$(distdir)/$$file" \
340             || exit 1; \
341           fi; \
342         done
343         -test -n "$(am__skip_mode_fix)" \
344         || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
345           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
346           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
347           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
348         || chmod -R a+r "$(distdir)"
349 dist-gzip: distdir
350         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
351         $(am__remove_distdir)
352
353 dist-bzip2: distdir
354         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
355         $(am__remove_distdir)
356
357 dist-lzma: distdir
358         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
359         $(am__remove_distdir)
360
361 dist-xz: distdir
362         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
363         $(am__remove_distdir)
364
365 dist-tarZ: distdir
366         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
367         $(am__remove_distdir)
368
369 dist-shar: distdir
370         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
371         $(am__remove_distdir)
372
373 dist-zip: distdir
374         -rm -f $(distdir).zip
375         zip -rq $(distdir).zip $(distdir)
376         $(am__remove_distdir)
377
378 dist dist-all: distdir
379         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
380         $(am__remove_distdir)
381
382 # This target untars the dist file and tries a VPATH configuration.  Then
383 # it guarantees that the distribution is self-contained by making another
384 # tarfile.
385 distcheck: dist
386         case '$(DIST_ARCHIVES)' in \
387         *.tar.gz*) \
388           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
389         *.tar.bz2*) \
390           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
391         *.tar.lzma*) \
392           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
393         *.tar.xz*) \
394           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
395         *.tar.Z*) \
396           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
397         *.shar.gz*) \
398           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
399         *.zip*) \
400           unzip $(distdir).zip ;;\
401         esac
402         chmod -R a-w $(distdir); chmod a+w $(distdir)
403         mkdir $(distdir)/_build
404         mkdir $(distdir)/_inst
405         chmod a-w $(distdir)
406         test -d $(distdir)/_build || exit 0; \
407         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
408           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
409           && am__cwd=`pwd` \
410           && $(am__cd) $(distdir)/_build \
411           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
412             $(DISTCHECK_CONFIGURE_FLAGS) \
413           && $(MAKE) $(AM_MAKEFLAGS) \
414           && $(MAKE) $(AM_MAKEFLAGS) dvi \
415           && $(MAKE) $(AM_MAKEFLAGS) check \
416           && $(MAKE) $(AM_MAKEFLAGS) install \
417           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
418           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
419           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
420                 distuninstallcheck \
421           && chmod -R a-w "$$dc_install_base" \
422           && ({ \
423                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
424                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
425                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
426                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
427                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
428               } || { rm -rf "$$dc_destdir"; exit 1; }) \
429           && rm -rf "$$dc_destdir" \
430           && $(MAKE) $(AM_MAKEFLAGS) dist \
431           && rm -rf $(DIST_ARCHIVES) \
432           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
433           && cd "$$am__cwd" \
434           || exit 1
435         $(am__remove_distdir)
436         @(echo "$(distdir) archives ready for distribution: "; \
437           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
438           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
439 distuninstallcheck:
440         @$(am__cd) '$(distuninstallcheck_dir)' \
441         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
442            || { echo "ERROR: files left after uninstall:" ; \
443                 if test -n "$(DESTDIR)"; then \
444                   echo "  (check DESTDIR support)"; \
445                 fi ; \
446                 $(distuninstallcheck_listfiles) ; \
447                 exit 1; } >&2
448 distcleancheck: distclean
449         @if test '$(srcdir)' = . ; then \
450           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
451           exit 1 ; \
452         fi
453         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
454           || { echo "ERROR: files left in build directory after distclean:" ; \
455                $(distcleancheck_listfiles) ; \
456                exit 1; } >&2
457 check-am: all-am
458 check: check-am
459 all-am: Makefile $(LIBRARIES) $(PROGRAMS) $(HEADERS)
460 installdirs:
461 install: install-am
462 install-exec: install-exec-am
463 install-data: install-data-am
464 uninstall: uninstall-am
465
466 install-am: all-am
467         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
468
469 installcheck: installcheck-am
470 install-strip:
471         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
472           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
473           `test -z '$(STRIP)' || \
474             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
475 mostlyclean-generic:
476
477 clean-generic:
478
479 distclean-generic:
480         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
481         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
482
483 maintainer-clean-generic:
484         @echo "This command is intended for maintainers to use"
485         @echo "it deletes files that may require special tools to rebuild."
486 clean: clean-am
487
488 clean-am: clean-generic clean-noinstLIBRARIES clean-noinstPROGRAMS \
489         mostlyclean-am
490
491 distclean: distclean-am
492         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
493         -rm -rf ./$(DEPDIR)
494         -rm -f Makefile
495 distclean-am: clean-am distclean-compile distclean-generic \
496         distclean-tags
497
498 dvi: dvi-am
499
500 dvi-am:
501
502 html: html-am
503
504 html-am:
505
506 info: info-am
507
508 info-am:
509
510 install-data-am:
511
512 install-dvi: install-dvi-am
513
514 install-dvi-am:
515
516 install-exec-am:
517
518 install-html: install-html-am
519
520 install-html-am:
521
522 install-info: install-info-am
523
524 install-info-am:
525
526 install-man:
527
528 install-pdf: install-pdf-am
529
530 install-pdf-am:
531
532 install-ps: install-ps-am
533
534 install-ps-am:
535
536 installcheck-am:
537
538 maintainer-clean: maintainer-clean-am
539         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
540         -rm -rf $(top_srcdir)/autom4te.cache
541         -rm -rf ./$(DEPDIR)
542         -rm -f Makefile
543 maintainer-clean-am: distclean-am maintainer-clean-generic
544
545 mostlyclean: mostlyclean-am
546
547 mostlyclean-am: mostlyclean-compile mostlyclean-generic
548
549 pdf: pdf-am
550
551 pdf-am:
552
553 ps: ps-am
554
555 ps-am:
556
557 uninstall-am:
558
559 .MAKE: install-am install-strip
560
561 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
562         clean-generic clean-noinstLIBRARIES clean-noinstPROGRAMS ctags \
563         dist dist-all dist-bzip2 dist-gzip dist-lzma dist-shar \
564         dist-tarZ dist-xz dist-zip distcheck distclean \
565         distclean-compile distclean-generic distclean-tags \
566         distcleancheck distdir distuninstallcheck dvi dvi-am html \
567         html-am info info-am install install-am install-data \
568         install-data-am install-dvi install-dvi-am install-exec \
569         install-exec-am install-html install-html-am install-info \
570         install-info-am install-man install-pdf install-pdf-am \
571         install-ps install-ps-am install-strip installcheck \
572         installcheck-am installdirs maintainer-clean \
573         maintainer-clean-generic mostlyclean mostlyclean-compile \
574         mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
575         uninstall-am
576
577
578 # Tell versions [3.59,3.63) of GNU make to not export all variables.
579 # Otherwise a system limit (for SysV at least) may be exceeded.
580 .NOEXPORT: